curl -X POST https://api.example.com/api/mcp/validate \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transportType": "http",
"url": "https://mcp-server.example.com",
"connectionType": "proxy"
}'
const response = await fetch('https://api.example.com/api/mcp/validate', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
transportType: 'http',
url: 'https://mcp-server.example.com',
connectionType: 'proxy'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.example.com/api/mcp/validate',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'transportType': 'http',
'url': 'https://mcp-server.example.com',
'connectionType': 'proxy'
}
)
data = response.json()
{
"valid": true,
"message": "Server validation successful",
"status": "ok",
"capabilities": {
"tools": true,
"resources": true,
"prompts": true
},
"serverInfo": {
"name": "Example MCP Server",
"version": "1.0.0"
}
}
{
"valid": false,
"message": "Connection timeout",
"status": "timeout"
}
Server Management
Validate MCP Server
Validates an MCP server configuration and checks server health before creation
POST
/
api
/
mcp
/
validate
curl -X POST https://api.example.com/api/mcp/validate \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transportType": "http",
"url": "https://mcp-server.example.com",
"connectionType": "proxy"
}'
const response = await fetch('https://api.example.com/api/mcp/validate', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
transportType: 'http',
url: 'https://mcp-server.example.com',
connectionType: 'proxy'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.example.com/api/mcp/validate',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'transportType': 'http',
'url': 'https://mcp-server.example.com',
'connectionType': 'proxy'
}
)
data = response.json()
{
"valid": true,
"message": "Server validation successful",
"status": "ok",
"capabilities": {
"tools": true,
"resources": true,
"prompts": true
},
"serverInfo": {
"name": "Example MCP Server",
"version": "1.0.0"
}
}
{
"valid": false,
"message": "Connection timeout",
"status": "timeout"
}
Request Body
string
required
Transport protocol type. Must be one of:
stdio, http, or ssestring
Server URL for HTTP/SSE transport
string
Command to execute for stdio transport
string
Command arguments for stdio transport
object
Environment variables as key-value pairs
string
default:"proxy"
Connection type. Must be either
direct or proxystring
Proxy URL if using proxy connection
Response
boolean
Whether the server configuration is valid
string
Validation message or error details
string
Validation status:
ok, error, or timeoutobject
Server capabilities if validation successful
object
Server implementation details
curl -X POST https://api.example.com/api/mcp/validate \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transportType": "http",
"url": "https://mcp-server.example.com",
"connectionType": "proxy"
}'
const response = await fetch('https://api.example.com/api/mcp/validate', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
transportType: 'http',
url: 'https://mcp-server.example.com',
connectionType: 'proxy'
})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.example.com/api/mcp/validate',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
json={
'transportType': 'http',
'url': 'https://mcp-server.example.com',
'connectionType': 'proxy'
}
)
data = response.json()
{
"valid": true,
"message": "Server validation successful",
"status": "ok",
"capabilities": {
"tools": true,
"resources": true,
"prompts": true
},
"serverInfo": {
"name": "Example MCP Server",
"version": "1.0.0"
}
}
{
"valid": false,
"message": "Connection timeout",
"status": "timeout"
}

